Bug 186272 - Anaconda might hang when "sata_promise" is loaded
Anaconda might hang when "sata_promise" is loaded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-03-22 12:13 EST by Florian Sievert
Modified: 2013-07-02 22:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached is the system log took from installation, when anaconda doesn't continue. (17.63 KB, text/plain)
2006-03-22 12:13 EST, Florian Sievert
no flags Details

  None (edit)
Description Florian Sievert 2006-03-22 12:13:31 EST
Description of problem:
Installation of FC5 final is not possible, because nothing happens after
anaconda is started. The problem might be a problem with the sata_promise
module. GUI and text mode installation is affected.

Version-Release number of selected component (if applicable): FC5


How reproducible: Always, default graphic installation from a FC5 media
(CD/DVD). Hashs are ok.


Steps to Reproduce:
1. Boot from FC5 installation media
2. Skip Media Check to continue installation
3. Anaconda starts
  
Actual results:
Computer starts the x-server with a black screen. Some seconds later the "cross"
mouse cursor appears and is movable. Nothing else happens anymore. Anaconda
process is working with 99% CPU. Using text modes results in the same problem,
but with a blue background. Switching to console is still possible - no freeze.

Expected results:
The installation process continues and shows up the greeter from FC5.

Additional info:
If booting the cd with "linux noprobe" and not loading any additional modules
the installation works like expected. As soon as the "sata_promise" driver is
loaded the issue happens. This driver is also probed by fedora core 5. FC4
installation cd seems to handle this problem and loads like expected. Also a
fedora core 4 system is running since half a year loading sata_promise without a
problem. So the problem might be a change on the "sata_promise" since FC5.

The system that was used:
Athlon XP 2700+
1,5 GB RAM
GeForce 6800 GT
MSI KT4 Ultra mainboard
Logitech MX 1000 USB (was replaced with an old PS/2 mouse)
VIA KT400 chipset
Promise 20376 controlls 2 SATA ports

PLEXTOR DVDR PX-708A
Unknown R/RW 4x4x32
2x Maxtor 6Y120L0 (IDE)
SAMSUNG SP1614C (SATA)
Maxtor 6B200M0 (SATA)

Further information will be provied when asked.
Comment 1 Florian Sievert 2006-03-22 12:13:31 EST
Created attachment 126488 [details]
Attached is the system log took from installation, when anaconda doesn't continue.
Comment 2 Jose Ramon Cabanes 2006-03-22 12:28:46 EST
Same behaviour installing 64 bits FC5 version on:

Athlon 64 3200+
512MB RAM
ATI X700 AGP
Asus KV8-Deluxe mainboard
Via K8T800 North Bridge, Via VT8237 South Bridge
SATA Promise 20378 controller

Further information also provided when asked.
Comment 3 Brad Stewart 2006-03-22 16:16:04 EST
Same behavior installing on different SATA controllers

Athlon 64 3200+
1GB Corsair XMS
ATI radeon 9800pro
Abit Kv8 max3, VIA K8T800 NB, VIA VT8237 SB
VIA onboard SATA controller (main drives)
Silicon Image 3114 SATA controller(secondary)
Comment 4 Brad Stewart 2006-03-22 16:16:38 EST
Same behavior installing on different SATA controllers

Athlon 64 3200+
1GB Corsair XMS
ATI radeon 9800pro
Abit Kv8 max3, VIA K8T800 NB, VIA VT8237 SB
VIA onboard SATA controller (main drives)
Silicon Image 3114 SATA controller(secondary)
Comment 5 Jose Ramon Cabanes 2006-03-22 17:00:55 EST
Is not exactly the same behaviour. In my case the 'linux nobprobe' does not 
change anything. Same problem even when SATA drivers are not loaded. Probably 
is not relevant but last line on anaconda.log warns about not finding floppy 
disks (what is right as my machine has not any floppy).

(In reply to comment #2)
> Same behaviour installing 64 bits FC5 version on:
> Athlon 64 3200+
> 512MB RAM
> ATI X700 AGP
> Asus KV8-Deluxe mainboard
> Via K8T800 North Bridge, Via VT8237 South Bridge
> SATA Promise 20378 controller
> Further information also provided when asked.

Comment 6 Jose Ramon Cabanes 2006-03-24 03:44:12 EST
'linux nodmraid' solves the problem!
Comment 7 Florian Sievert 2006-03-24 10:32:40 EST
I confirm this. Loading the installation with "linux nodmraid" makes it possible
to load sata_promise without having a black screen at the beginning of the
installation. Test installation was successfull and everything runs fine. Looks
like dmraid cause the problem.
Comment 8 Florian Sievert 2006-06-24 09:36:46 EDT
Seems like this problem is still reproduceable for me in fc6test1.
Comment 9 Florian Sievert 2006-09-16 08:15:44 EDT
I am a little bit confused, because I am not sure, if anybody is on this problem
and I am just doing some bug spamming here. But the problem does still exist on
fc6test3. I am willed to help giving more information that could help to
determinate the problem. However, I won't post any further reports, until
somebody asks me.
Comment 10 Dave Jones 2006-10-16 17:07:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Florian Sievert 2006-10-27 17:24:03 EDT
The problem does still exist in FC6 final. Like described in the first post the
installation hangs when anaconda tries to start. It looks like the X-Server is
loaded successfully and the xorg typical x-cross cursor is shown. However
nothing else shows up - even after hours. The system itself does respond on user
actions, but it looks like anaconda is freezed.

I am not sure how to replace a kernel during the installation process. Please
point me to a small instruction. However, I guess that "2.6.18-1.2798.fc6" is
even newer and the problem does still exist. Installation does work fine, when
using "linux nodmraid" as boot arguments. 
Comment 12 Igor Miletic 2006-11-21 10:32:54 EST
Same problem here with FC6. 

I was able to resolve it by removing all but one SATA drive (I have Asus
K8L-Deluxe with via and promise sata controllers). 

However, even after successful installation, I was not able to mount any other
drive but /boot and / partition.

At the beginning I was getting device already mounted or busy error, and with
new update, I am getting device is not block device. 
Comment 13 Florian Sievert 2007-03-03 10:06:25 EST
I just gave fc7test2 a try and it looks like I cannot reproduce this problem
anymore on the new version. Whatever it was, it might be fixed in fc7.
Comment 14 petrosyan 2008-03-10 22:24:46 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 15 Bug Zapper 2008-04-03 22:11:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 16 Bug Zapper 2008-05-06 11:36:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.